HomeAPI ReferenceFiat GatewayGenerate Payment Link
POST/fiat-payments/payment-link/client

Generate Payment Link

Outcome - Generates a unique payment link for a specific client to deposit fiat funds into their account.

Body Parameters

clientIdstringrequired

The external ID of the client making the deposit

amountnumberrequiredpositive

Amount to deposit

currencyCodestringrequired

Fiat currency code (e.g., SAR)

returnUrlstring

The URL to redirect the user to after payment

IBANstring

Client IBAN (Saudi Arabia format)

returnUrlstring

HTTPS URL to redirect the user after payment

paymentExpiredInMinutesnumber

Payment link expiration in minutes (default 60, max 1440)

Responses

Response attributes

messagestring

Success message

dataobject

Payment link details

Show child attributes (1)
paymentLinkstring

URL to redirect the user for payment

statusnumber

HTTP status code

Was this page helpful?